PTHREAD_BARRIERATTR(3)

NAME
pthread_barrierattr_init, pthread_barrierattr_destroy, - barrier attribute operations

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_barrierattr_init(pthread_barrierattr_t *attr);
int
pthread_barrierattr_destroy(pthread_barrierattr_t *attr);

DESCRIPTION
Barrier attributes are used to specify parameters to be used with pthread_barrier_init(3). One attribute object can be used in multiple calls to pthread_barrier_init(), with or without modifications between calls.

The pthread_barrierattr_init() function initializes attr with the default barrier attributes.

The pthread_barrierattr_destroy() function destroys attr.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
No error codes are defined for pthread_barrierattr_init().

The pthread_barrierattr_destroy() function may fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_barrier_init(3)

STANDARDS
Both functions conform to p1003.1-2001.